> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/sites/{siteId} > Update a site ## OpenAPI ````json POST /v1/sites/{siteId} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/sites/{siteId}": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "siteId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1SitesSiteIdPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1SitesSiteIdPostResponse" } } } } }, "description": "Update a site" } } }, "components": { "schemas": { "v1SitesSiteIdPostRequest": { "type": "object", "properties": { "site": { "$ref": "#/components/schemas/manaV2NewSite" } }, "additionalProperties": false }, "v1SitesSiteIdPostResponse": { "type": "object", "properties": { "site": { "$ref": "#/components/schemas/manaV2Site" } }, "additionalProperties": false }, "manaV2NewSite": { "type": "object", "properties": { "globalPrefixSetOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "ipfixExporterOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "ipfixExporterOpsV2": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2GlobalObjectOperationConfig" } }, "location": { "$ref": "#/components/schemas/manaV2Location" }, "name": { "type": "string", "example": "example string" }, "notes": { "type": "string", "example": "example string" }, "ntpOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "prefixSetOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "routeTag": { "$ref": "#/components/schemas/manaV2RouteTag" }, "routingPolicyOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "snmpOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "syslogServerOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "syslogServerOpsV2": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2GlobalObjectOperationConfig" } }, "trafficPolicyOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } } }, "additionalProperties": false }, "manaV2Site": { "type": "object", "properties": { "address": { "type": "string", "example": "example string" }, "createdAt": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "devices": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SiteDeviceStub" } }, "edgeCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "location": { "$ref": "#/components/schemas/manaV2Location" }, "name": { "type": "string", "example": "example string" }, "notes": { "type": "string", "example": "example string" }, "policyReferenceCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "policyTag": { "$ref": "#/components/schemas/manaV2SingleRouteTag" }, "segmentCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "siteListReferenceCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "tags": { "type": "array", "items": { "type": "string", "example": "example string" } }, "updatedAt": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "manaV2GlobalObjectOperationConfig": { "type": "object", "properties": { "interface": { "$ref": "#/components/schemas/manaV2NullableSiteInterfaceName" }, "operation": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2Location": { "type": "object", "properties": { "addressLine1": { "type": "string", "example": "example string" }, "addressLine2": { "type": "string", "example": "example string" }, "city": { "type": "string", "example": "example string" }, "country": { "type": "string", "example": "example string" }, "countryCode": { "type": "string", "example": "example string" }, "latitude": { "type": "number", "format": "double", "example": 123.45 }, "longitude": { "type": "number", "format": "double", "example": 123.45 }, "notes": { "type": "string", "example": "example string" }, "provinceCode": { "type": "string", "example": "example string" }, "state": { "type": "string", "example": "example string" }, "stateCode": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2RouteTag": { "type": "object", "properties": { "levelOne": { "type": "string", "example": "example string" }, "levelTwo": { "type": "string", "example": "example string" }, "levelZero": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2SiteDeviceStub": { "type": "object", "properties": { "hostname": { "type": "string", "example": "example string" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2SingleRouteTag": { "type": "object", "properties": { "levelOne": { "$ref": "#/components/schemas/manaV2SingleRouteTagRouteTagElement" }, "levelTwo": { "$ref": "#/components/schemas/manaV2SingleRouteTagRouteTagElement" }, "levelZero": { "$ref": "#/components/schemas/manaV2SingleRouteTagRouteTagElement" } }, "additionalProperties": false }, "manaV2NullableSiteInterfaceName": { "type": "object", "properties": { "interface": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SingleRouteTagRouteTagElement": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "tag": { "type": "string", "example": "example string" }, "tagValue": { "type": "integer", "format": "int32", "example": 123 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````